summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorShadowKyogre2015-08-17 13:41:35 -0700
committerShadowKyogre2015-08-17 13:41:35 -0700
commit5f454578d58e3ab7c8caa021a698cc716947b5fb (patch)
treef5c8ddae6aeda62cb2ef8a2cfd2eb008073c4327
parente41c9fd1792c64aa0ef28c5debf79fa21d65b017 (diff)
downloadaur-5f454578d58e3ab7c8caa021a698cc716947b5fb.tar.gz
Properly handle the extra swisseph data files by making them depend
on swisseph_{12,18} and swisseph-fixstars. This allows openastro to play nicely with other apps that also use the swisseph library and data files. Variable expansions were also quoted differently for better readability.
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD17
2 files changed, 16 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e7e5a55fc16..fb1e9fffddb 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = openastro
pkgdesc = OpenAstro is an open source fully featured astrology software.
pkgver = 1.1.48
- pkgrel = 1
+ pkgrel = 2
url = http://www.openastro.org/
arch = i686
arch = x86_64
@@ -12,13 +12,14 @@ pkgbase = openastro
depends = python2-rsvg
depends = python2-pytz
depends = pyswisseph
+ depends = swisseph_12
+ depends = swisseph_18
+ depends = swisseph-fixstars
conflicts = openastro-dev
- conflicts = swisseph_18
- conflicts = swisseph-fixstars
source = openastro.org_1.1.48.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro
- source = openastro.org-data_1.5.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
- md5sums = dd469dcd685e93feec2135cdd518ac6f
- md5sums = 4c7afd47fc261bfb49753af740bceb14
+ source = openastro.org-data_1.6.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
+ md5sums = b64d7263b5ab4e5a61b05cf57a2aea5b
+ md5sums = cd6b05177a454a5e6b8458403725130a
pkgname = openastro
diff --git a/PKGBUILD b/PKGBUILD
index 322428aed62..6edd06adeee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,25 +2,26 @@
pkgname='openastro'
pkgver='1.1.48'
-pkgrel='1'
+pkgrel='2'
pkgdesc='OpenAstro is an open source fully featured astrology software.'
arch=('i686' 'x86_64')
license=('GPL')
url=('http://www.openastro.org/')
-depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph')
+depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph' 'swisseph_12' 'swisseph_18' 'swisseph-fixstars')
makedepends=('setuptools')
optdepends=()
-conflicts=('openastro-dev' 'swisseph_18' 'swisseph-fixstars')
+conflicts=('openastro-dev')
source=(
- "openastro.org_"$pkgver".orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
+ "openastro.org_${pkgver}.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
"openastro.org-data_1.6.orig.tar.gz::http://openastro.org/download.php?file=source&type=data"
)
md5sums=('b64d7263b5ab4e5a61b05cf57a2aea5b'
'cd6b05177a454a5e6b8458403725130a')
package() {
- cd $srcdir"/openastro.org-"$pkgver
- python2 setup.py install --root=$pkgdir || return 1
- cd $srcdir"/openastro.org-data-1.6"
- python2 setup.py install --root=$pkgdir || return 1
+ cd "${srcdir}/openastro.org-${pkgver}"
+ python2 setup.py install --root="${pkgdir}" || return 1
+ cd "${srcdir}/openastro.org-data-1.6"
+ python2 setup.py install --root="${pkgdir}" || return 1
+ rm -rf "${pkgdir}/usr/share/swisseph"
}